
DeadDrop - Feature #35

Replace scAPI with localLib

07/25/2023 11:33 PM - Sancho Fock

Status: Closed Start date: 08/11/2023

Priority: Normal Due date: 10/02/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 40:00 hours

Target version: 0.4.x   

Description

Subtasks:

Feature # 38: Add crypted Key Support to scAPI Closed

Feature # 39: Add Simplecryt 4 Windows Closed

Feature # 40: include simplecryt.jar for Android Closed

Related issues:

Precedes Feature #15: Protect Client by Password Closed 10/06/2023 10/14/2023

Precedes Feature #12: Implement Private secure Drops Client Closed 10/04/2023 10/05/2023

Follows Support #37: Release 0.3.0 Closed 08/10/2023 08/10/2023

Follows Feature #30: Status Bar Text Closed 07/18/2023 07/19/2023

Precedes Feature #11: Implement Private secure Drops Backend Closed 10/03/2023 10/03/2023

History

#1 - 07/25/2023 11:34 PM - Sancho Fock

- Precedes Feature #15: Protect Client by Password added

#2 - 07/25/2023 11:37 PM - Sancho Fock

- Tracker changed from Bug to Feature

- Category set to Client

#3 - 07/25/2023 11:45 PM - Sancho Fock

- Precedes Feature #12: Implement Private secure Drops Client added

#4 - 07/25/2023 11:46 PM - Sancho Fock

- Precedes Feature #9: Implement Private Drops Backend added

#5 - 07/25/2023 11:47 PM - Sancho Fock

- Target version changed from open to 0.4.x

#6 - 07/29/2023 12:02 AM - Sancho Fock

- Due date set to 08/16/2023

- Start date changed from 07/25/2023 to 08/16/2023

- Follows Support #37: Release 0.3.0 added

#7 - 07/29/2023 12:06 AM - Sancho Fock

- Follows Feature #30: Status Bar Text added

#8 - 08/05/2023 11:37 PM - Sancho Fock

- Precedes deleted (Feature #9: Implement Private Drops Backend)

#9 - 08/05/2023 11:40 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/22/2023
- Start date changed from 08/16/2023 to 08/22/2023

#10 - 08/05/2023 11:43 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/24/2023

- Start date changed from 08/22/2023 to 08/24/2023

#11 - 08/05/2023 11:44 PM - Sancho Fock

- Due date changed from 08/24/2023 to 08/21/2023

- Start date changed from 08/24/2023 to 08/21/2023

#12 - 08/05/2023 11:45 PM - Sancho Fock

- Precedes Feature #11: Implement Private secure Drops Backend added

#13 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/16/2023

- Start date changed from 08/21/2023 to 08/16/2023

#14 - 08/06/2023 09:32 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/17/2023

- Start date changed from 08/16/2023 to 08/17/2023

#15 - 08/06/2023 09:33 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/11/2023

- Start date changed from 08/17/2023 to 08/11/2023

#16 - 08/06/2023 09:35 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/14/2023

- Start date changed from 08/11/2023 to 08/14/2023

#17 - 08/06/2023 09:39 PM - Sancho Fock

- Due date changed from 08/14/2023 to 08/10/2023

- Start date changed from 08/14/2023 to 08/10/2023

#18 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/10/2023 to 08/14/2023

- Start date changed from 08/10/2023 to 08/14/2023

#19 - 08/07/2023 11:15 PM - Sancho Fock

- Due date changed from 08/14/2023 to 08/11/2023

- Start date changed from 08/14/2023 to 08/11/2023

#20 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/17/2023

#21 - 08/08/2023 11:47 PM - Sancho Fock

- Status changed from New to In Progress

- % Done changed from 0 to 10

The Use of simplecrypt requires platform dependent solutions:

For android, the simplecrypt.jar can and shall be used directly

For Windows, the simplecrypt.jar shall be called by the cmdLine this requires in improvement of the simplecryt.jar as well (Output to Console)

For MacOs and iOS a translation to objective C might be an option. For this version I will keep the scAPI and may port it later

However this does also require an improvement of the scAPI to support cypted Keys as well.

So I split up this Ticket into 3 Tickets

1. Improve scAPI

2. Add Windows Support

3. Add Android Support
#22 - 08/08/2023 11:49 PM - Sancho Fock

- Subtask #38 added

#23 - 08/08/2023 11:51 PM - Sancho Fock

- Subtask #39 added

#24 - 08/08/2023 11:52 PM - Sancho Fock

- Subtask #40 added

#25 - 08/09/2023 12:01 AM - Sancho Fock

- Estimated time changed from 24:00 h to 40:00 h

#26 - 10/03/2023 01:09 AM - Sancho Fock

- Status changed from In Progress to Closed
